ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Project::Impl Class Reference

Private implementation details of Project model object. More...

Collaboration diagram for ome::xml::model::Project::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< std::string > | name
| Name property.
std::string | id
| ID property.
ome::compat::shared_ptr< std::string > | description
| Description property.
ome::compat::weak_ptr< ome::xml::model::Experimenter > | experimenter
| ExperimenterRef reference.
ome::compat::weak_ptr< ome::xml::model::ExperimenterGroup > | experimenterGroup
| ExperimenterGroupRef reference.
OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type | datasetLinks
| DatasetRef reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type | annotationLinks
| AnnotationRef reference (occurs more than once)

## Detailed Description

Private implementation details of Project model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Project.cpp